Subject: Re: ppc manual paging question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 22 Oct 2007 14:50:52 +1000

On Mon, 2007-10-22 at 12:03 +0800, Wang, Baojun wrote:
> hi,
> 
>   I've got some qeustion about ppc(ppc44x) paging: 
> 
> how can I manually map a virtual address to a physical address through a 
> specific pgd? How does ppc translate virt address to physical one? I think 
> besides from tlb, the CPU will search the page table entries via the pgd, can 
> I alter the pgd value to change the memory translation? under i386, it's very 
> simple, we can just rewrite %%cr3, it even could invalidate all tlb entries 
> automatically, how can I do this under ppc? I've tried rewrite 
> current->mm->pgd and current->thread.pgdir, but sounds like it still not 
> insufficiant, am I missing something vital? 

What the heck are you trying to do ? Please explain and I'll tell you
how to do it properly :-)

Cheers,
Ben.